#include <cyg/kernel/kapi.h>
#include <cyg/hal/hal_tables.h>
#include <cyg/infra/diag.h>
#include "../dm.h"


/*
 *  Starts the SNMP agent.
 */
void snmpInit(void)
{
#if defined(CYGPKG_SNMPAGENT)
  extern void cyg_net_snmp_init(void);
  diag_printf("starting snmp daemon\n");
  cyg_net_snmp_init();
#else
  diag_printf("WARNING: SNMP not available\n");
#endif  
}

