#if !defined(_FLASH_H)
#define _FLASH_H

#ifdef __cplusplus
extern "C" {
#endif
  
int flash_query(unsigned short *data);
int flash_erase_block(volatile unsigned short *block);
int flash_program_buf(void *flashbase, void *rambase, int len);

#define FLASH_BLOCK_SIZE        0x10000
#define FLASH_BOOT_BLOCK_SIZE    0x2000
  
#ifdef __cplusplus
}
#endif

#endif	/*  _FLASH_H  */
